• Resolved rsmith4321

    (@rsmith4321)


    The javascript warning appears on all forms now for amp pages, because of course javascript is disabled on amp pages. This is a serious issue I’m going to see if I can revert to the previous version.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 15 total)
  • Thread Starter rsmith4321

    (@rsmith4321)

    For now I just edited out the code in class-frontend.php so you won’t see that warning on my site, but it would be there without the edit.

    Plugin Author Jared Atchison

    (@jaredatch)

    Sorry about that!

    When you get a chance, can you let us know what specifically you edited (inside class-frontend.php) or what the JS errors were?

    Thread Starter rsmith4321

    (@rsmith4321)

    Sorry if I wasn’t clear, in the latest update you added a warning to the form if the browser has javascript disabled. It was in your release notes. However this warning also shows on amp pages. I’m not sure why because javascript is still enabled in the browser so the contents of a noscript tag shouldn’t show. I just commented out the code that displays the warning for now.

    		// Output <noscript> error message.
    		//$noscript_msg = apply_filters( 'wpforms_frontend_noscript_error_message', __( 'Please enable JavaScript in your browser to complete this form.', 'wpforms-lite' ), $form_data );
    		//if ( ! empty( $noscript_msg ) && ! empty( $form_data['fields'] ) ) {
    		//	echo '<noscript class="wpforms-error-noscript">' . esc_html( $noscript_msg ) . '</noscript>';
    		//}
    • This reply was modified 1 year, 2 months ago by rsmith4321.
    Von

    (@goldmaverick)

    Is there an update for the plugin planned to correct it?
    I have the same issue on my contact page: https://www.sambuno.com/contact/

    I followed rsmith4321 ‘s fix for now

    • This reply was modified 1 year, 2 months ago by Von.
    • This reply was modified 1 year, 2 months ago by Von.
    • This reply was modified 1 year, 2 months ago by Von.
    • This reply was modified 1 year, 2 months ago by Von.
    • This reply was modified 1 year, 2 months ago by Von.
    Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @rsmith4321 and @goldmaverick,

    This issue has been reported to our development team, and we’ll be looking into it. I apologize for the inconvenience in the meantime.

    Thread Starter rsmith4321

    (@rsmith4321)

    How did you release a new version without fixing this? I had edited the code to remove the error but now after updating I have to do it again, I just assumed the update would take care of the error. Just again this appears at the top of every form “Please enable JavaScript in your browser to complete this form.” and javascript is not disabled in my browser.

    Also if it helps anyone I had to search again for the location. It’s in /wpforms-lite/includes/class-frontend.php

    • This reply was modified 1 year, 1 month ago by rsmith4321.
    Plugin Author Jared Atchison

    (@jaredatch)

    Sorry about that!

    The good news is this was fixed on Monday. However, unfortunately this was after the latest release was finalized.

    But this fix will 100% be included in the next update, regardless if it is a minor or major release.

    Von

    (@goldmaverick)

    When is the next update? Is provision of a timeframe possible?

    Plugin Author Jared Atchison

    (@jaredatch)

    We target 4-6 week “major” release cycle.

    So this means next release should be second half of Feb.

    However if critical bugs/issues come up, we’ll release a minor point release before then.

    Next release will have this fix, regardless if major or minor release.

    Hope that helps.

    Hi, how are you doing? I Hope everything is ok.

    I would say that you should release a minor version as soon as possible with at least this fix, otherwise you are going to leave many websites displaying the warning message, including many of mine which I develop for some clients. I use your plugin and it does make any sense to leave it like this if you already have the solution. In my opinion this is something to be considered a big issue. I was very comfortable but I have just started to check other plugins.

    Thank you.

    Plugin Support Jess Quig

    (@jquigam)

    Hi @dssaez – I really do apologize, and our development team is actively working to get this issue resolved. We’re eager to get this fixed as well, but are also careful in our process to ensure we don’t end up creating more issues, etc.

    In the meantime, we’ll leave this thread open until the solution is ready.

    I’m having the same issue. Looking forward to this next update.

    Thread Starter rsmith4321

    (@rsmith4321)

    This has been an issue for 2 months now, I’m losing hope on a fix. If I didn’t understand some code and could fix it myself the contact form would have been broken for 2 months without a fix.

    Von

    (@goldmaverick)

    It really is appalling how nonchalant they are about it.

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @rsmith4321, @goldmaverick, @dssaez, and @artneo,

    The fix for this issue has been released in 1.5.9, so updating the plugin to the latest version (we’re currently on 1.5.9.1) should resolve the issue.

    Thanks!

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘Javascript warning with AMP’ is closed to new replies.